{% extends 'crud/list.html' %}

{% block content %}
    {% block messages %}
            {% if messages %}
                {% for message in messages %}
                    {% if message.level == DEFAULT_MESSAGE_LEVELS.SUCCESS %}
                    <div id="success-alert" class="alert alert-success" role="alert">
                        {{ message }}
                    </div>
                    {% endif %}
                    <script type="application/javascript">
                        setTimeout(function(){
                            document.getElementById("success-alert").style.display = "none";}, 3000);
                    </script>
                {% endfor %}
    {% endif %}
    {% endblock %}




    {% block page_heading %}
        {{ block.super }}
    {% endblock %}
    <ul class="nav nav-tabs">
  <li class="nav-item">
    <a class="nav-link" href="{% url 'user_setting_list' %}">Пользователи</a>
  </li>

  <li class="nav-item">
    <a class="nav-link active" href="#">Группы</a>
  </li>
  <li class="nav-item">
    <a class="nav-link" href="#">Управление доступом</a>
  </li>
</ul>

<div class="card shadow mb-4">
            <div class="card-header py-3">
            </div>
            <div class="card-body">
              <div class="table-responsive">
                <table class="table table-bordered" id="dataTable" width="100%" cellspacing="0">
                  <thead>
                    <tr>
                      <th><input id="mass-choice" type="checkbox"></th>
                      <th>Имя</th>
                      <th>Разрешения</th>
                      <th>Действия</th>
                    </tr>
                  </thead>
                  {% comment %} <tfoot>
                    <tr>
                      <th>#</th>
                      <th>Имя</th>
                      <th>Действия</th>
                    </tr>
                  </tfoot> {% endcomment %}
                  <tbody>
                  {% for group in object_list %}
                      
                    <tr>
                      <td><input id="{{ user_.id }}" type="checkbox"></td>
                      <td>{{ group.name }}</td>
                        <td>
                            {% for permission in group.permissions.all %}
                                <p>{{ permission }}</p>
                            {% endfor %}

                        </td>
                      <td>
                          <a href="{% url 'user_setting_edit' group.id %}" style="text-decoration: none">
                            <i class="fa fa-edit"></i>

                          </a>
                          <a href="{% url 'user_setting_delete' group.id %}" style="text-decoration: none" data-toggle="modal" data-target="#deleteModal-{{ user_.id }}">
                            <i class="fa fa-trash"></i>
                          </a>
                              <!-- DELETE MODAL -->
                              <div class="modal fade" id="deleteModal-{{ group.id }}" tabindex="-1" role="dialog"
                                   aria-labelledby="exampleModalLabel" aria-hidden="true">
                                  <div class="modal-dialog" role="document">
                                      <div class="modal-content">
                                          <div class="modal-header">
                                              <h5 class="modal-title" id="exampleModalLabel">Удалить {{ create_name }}</h5>
                                              <button type="button" class="close" data-dismiss="modal"
                                                      aria-label="Close">
                                                  <span aria-hidden="true">&times;</span>
                                              </button>
                                          </div>
                                          <div class="modal-body">
                                           <p> Вы уверены удалить группу {{ group.name }} ???</p>
                                                <form method="post" action="{% url 'user_setting_delete' group.id %}" id="delete_form-{{ group.id }}">
                                                {% csrf_token %}
                                                </form>
                                          </div>
                                          <div class="modal-footer">
                                              <button type="button" class="btn btn-secondary" data-dismiss="modal">
                                                  Закрыть
                                              </button>
                                              <button type="submit"  form="delete_form-{{ user_.id }}" class="btn btn-danger">Удалить</button>
                                          </div>

                                          </div>
                                      </div>
                                  </div>
                              </div>
                          <!-- DELETE MODAL -->

                      </td>

                    </tr>
                  {% endfor %}
                  </tbody>
                </table>

{% endblock %}

{% block custom_includes %}
    {% load static %}
    {{ block.super }}
    <script src="{% static 'custom/js/miltiplyCheckboxesChoice.js' %}"></script>
{% endblock %}